Subject: Re: sun-lamp CVS commits

From: [email-masked] (Rob Healey)

> mycroft
> Fri Sep 16 15:02:36 PDT 1994
> Update of /b/source/CVS/src/libexec/getty
> In directory sun-lamp.cs.berkeley.edu:/d/users/mycroft/src/libexec/getty
> 
> Modified Files:
> 	gettytab.5 
> Log Message:
> Document the % escapes I added, and clean up the description of %h a bit.
> 
	Since you are tweeking getty, I've been having a problem with
	getty and tty devices since it appears with the switchover to
	termio OPOST is not being set so output processing is not being
	done. I "fixed" this by adding a "tmode.c_oflag |= OPOST;" at
	a convieniant place.

	Does this happen on other architectures or is it just m68k that
	is effected?

		-Rob

*** src/libexec/getty/main.c.orig	Sat Sep 17 10:09:23 1994
--- src/libexec/getty/main.c	Sat Sep 10 22:44:42 1994
***************
*** 303,308 ****
--- 303,309 ----
  			if (lower || LC)
  				tmode.sg_flags &= ~LCASE;
  #endif
+ 			tmode.c_oflag |= OPOST;
  
  			if (tcsetattr(0, TCSANOW, &tmode) < 0) {
  				syslog(LOG_ERR, "%s: %m", ttyn);